<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7fafa">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:id="@+id/ll_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingVertical="6dp"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivBack"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_8"
                android:padding="@dimen/dp_8"
                android:src="@drawable/icon_return_w" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/similar_photos"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold" />
        </FrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.base.appzxhy.business.ads.NativeParentView
        android:id="@+id/flAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:src="@drawable/zhanwei1"
            tools:ignore="ContentDescription" />

    </com.base.appzxhy.business.ads.NativeParentView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_select"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:background="@color/white"
        android:paddingVertical="13dp"
        android:paddingStart="15dp"
        android:paddingEnd="24dp"
        app:layout_constraintTop_toBottomOf="@id/flAd">

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/auto_select"
            android:textColor="@color/black"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivSelect"
            android:layout_width="@dimen/dp_50"
            android:layout_height="@dimen/dp_20"
            android:src="@drawable/icon_switch_normal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_photo"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:scrollbars="none"
        app:layout_constraintBottom_toTopOf="@id/ll_delete"
        app:layout_constraintTop_toBottomOf="@id/cl_select" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_delete"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="30dp"
        android:paddingTop="20dp"
        android:paddingBottom="55dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <TextView
            android:id="@+id/tv_delete"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_enable_50"
            android:gravity="center"
            android:paddingVertical="12dp"
            android:text="@string/delete"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation"
        android:visibility="gone" />

</androidx.constraintlayout.widget.ConstraintLayout>